------------------------------------------------------------
----------------------- Combat talents ---------------------
------------------------------------------------------------
new_ability
{
	define_as = "AB_SPREAD_BLOWS"
	name = "Spread blows"
	desc =
	{
		"If a monster dies to your attack but you still have blows left",
		"you won't lose the full turn, allowing you to attack some other",
		"monster in the same turn",
		"Prereq: Weaponmastery skill@30, Dex@17",
	}
	cost = 5
	skills = { Weaponmastery = 30 }
	stats = { [A_DEX] = 17 }
}

new_ability
{
	define_as = "AB_MAX_BLOW1"
	name = "Extra Max Blow(1)"
	desc =
	{
		"Increases your max possible blows number by 1",
		"Prereq: Combat@10",
	}
	cost = 7
	skills = { Combat = 10 }
}

new_ability
{
	define_as = "AB_MAX_BLOW2"
	name = "Extra Max Blow(2)"
	desc =
	{
		"Increases your max possible blows number by 1",
		"Prereq: Combat@20, Extra Max Blow(1)",
	}
	cost = 7
	skills = { Combat = 20 }
	abilities = { ["Extra Max Blow(1)"] = true }
}

new_ability
{
	define_as = "AB_TOUCH_DEATH"
	name = "Touch of death"
	desc =
	{
		"Your melee blows can insta-kill, but you only receive 1/3 of the experience",
		"Prereq: Necromancy@50, Combat@40, DEX@30, STR@30",
	}
	cost = 15
	skills = { Necromancy = 50, Combat = 40 }
	stats = { [A_DEX] = 30, [A_STR] = 30 }
	action = { nil, "Activate touch of death" }
}

new_ability
{
	define_as = "AB_FAR_ATTACK"
	name = "Far reaching attack"
	desc =
	{
		"You can attack an enemy one square far using a long polearm.",
		"At high levels of Polearm-mastery skill, you can even hit two enemies at once.",
		"Prereq: Combat@15, Polearm-mastery@15",
	}
	cost = 10
	action = { nil, "Far reaching attack" }
	skills = { Combat = 15, ["Polearm-mastery"] = 15 }
}

------------------------------------------------------------
------------------------ Misc talents ----------------------
------------------------------------------------------------
new_ability
{
	define_as = "AB_TREE_WALK"
	name = "Tree walking"
	desc =
	{
		"Allows you to walk in dense forest",
		"Prereq: Nature skill@20",
	}
	cost = 7
	skills = { Nature = 20 }
}

new_ability
{
	define_as = "AB_AMMO_CREATION"
	name = "Ammo creation"
	desc =
	{
		"Allows you to create shots, arrows and bolts from various materials",
		"Prereq: Archery@10",
	}
	cost = 8
	skills = { Archery = 10 }
	action = { nil, "Forge ammo" }
}

new_ability
{
	define_as = "AB_QUIVER"
	name = "Quiver mastery"
	desc =
	{
		"Allows to use a quiver to store ammo and fire from it.",
		"Prereq: Archery@10",
	}
	cost = 10
	skills = { Archery = 10 }
}

new_ability
{
	define_as = "AB_TRAPPING"
	name = "Trapping"
	desc =
	{
		"Ability to set monster traps",
		"Prereq: Disarming@15",
	}
	cost = 10
	action = { nil, "Set trap" }
	skills = { Disarming = 15 }
}

new_ability
{
	define_as = "AB_COMBAT_RIDING"
	name = "Mounted Combat"
	desc =
	{
		"Allows you to fight more effectively when riding.",
		"Prereq: Riding@20",
	}
	cost = 15
	skills = { Riding = 20 }
}

------------------------------------------------------------
----------------------- Magic talents ----------------------
------------------------------------------------------------
new_ability
{
	define_as = "AB_PERFECT_CASTING"
	name = "Perfect casting"
	desc =
	{
		"Allows you to reach 0% failure rate on spells",
		"Prereq: Magic skill@35",
	}
	cost = 6
	skills = { Magic = 35 }
}

new_ability
{
	define_as = "AB_QUICK_MIND"
	name = "Quick mind"
	desc =
	{
		"Allows you to cast spells with a speed bonus of +7",
		"Prereq: Magic skill@45, Perfect casting",
	}
	cost = 20
	skills = { Magic = 45 }
	abilities = { ["Perfect casting"] = true }
}

new_ability
{
	define_as = "AB_UNDEAD_FORM"
	name = "Undead Form"
	desc =
	{
		'Ability to turn into a weak undead being when you "die".',
		"You must then kill enough monsters to absorb enough life energy",
		"to come back to life.",
		"Prereq: Necromancy@30, INT@25",
	}
	cost = 15
	skills = { Necromancy = 30 }
	stats = { [A_INT] = 25 }
}

-- Mana skill abilities
new_ability
{
	define_as = "AB_IMP_MANA_SHIELD1"
	name = "Improved Disruption Shield(1)"
	desc =
	{
		"Lowers the mana per hp ratio of the disruption shield to 1.5(instead of 2)",
		"Prereq: Mana@47",
	}
	cost = 6
	skills = { Mana = 47 }
}

new_ability
{
	define_as = "AB_IMP_MANA_SHIELD2"
	name = "Improved Disruption Shield(2)"
	desc =
	{
		"Lowers the mana per hp ratio of the disruption shield to 1(instead of 2)",
		"Prereq: Mana@50, Improved Disruption Shield(1)",
	}
	cost = 6
	skills = { Mana = 50 }
	abilities = { ["Improved Disruption Shield(1)"] = true }
}

-- The special mimicry forms related to high magic levels
new_ability
{
	define_as = "AB_FIRE_SHAPE"
	name = "High Magic Mimicry(Fire Form)"
	desc =
	{
		"Ability to shift into a Fire elemental.",
		"Prereq: Mimicry@35, Fire@50",
	}
	skills = { Fire = 50 Mimicry = 35 }
	cost = 10
}
new_ability
{
	define_as = "AB_AIR_SHAPE"
	name = "High Magic Mimicry(Wind Form)"
	desc =
	{
		"Ability to shift into a Wind elemental.",
		"Prereq: Mimicry@35, Air@50",
	}
	skills = { Air = 50 Mimicry = 35 }
	cost = 10
}
new_ability
{
	define_as = "AB_WATER_SHAPE"
	name = "High Magic Mimicry(Water Form)"
	desc =
	{
		"Ability to shift into a Water elemental.",
		"Prereq: Mimicry@35, Water@50",
	}
	skills = { Water = 50 Mimicry = 35 }
	cost = 10
}
new_ability
{
	define_as = "AB_EARTH_SHAPE"
	name = "High Magic Mimicry(Stone Form)"
	desc =
	{
		"Ability to shift into a Stone elemental.",
		"Prereq: Mimicry@35, Stone@50",
	}
	skills = { Earth = 50 Mimicry = 35 }
	cost = 10
}

new_ability
{
	define_as = "AB_ARCANE_LANCE"
	name = "Arcane Lance"
	desc =
	{
		"Manathrust can beam 50% of the time",
		"Prereq: Mana@25",
	}
	cost = 20
	skills = { Mana = 25 }
}

------------------------------------------------------------
----------------------- Racial talents ---------------------
------------------------------------------------------------

-- Beornings
-- Hidden for non-beornings
new_ability
{
	define_as = "AB_BEORNING"
	name = "Bear-form"
	desc =
	{
		"Ability to turn into a powerful bear form at will.",
		"Prereq: Beorning race",
	}
	action = { nil, "Bear-form" }
	cost = 1000
}


------------------------------------------------------------
----------------------- Tactics talents --------------------
------------------------------------------------------------
new_ability
{
	define_as = "AB_BERSERK_MODE"
	name = "Berserk"
	desc =
	{
		"Learns a new movement mode in which your melee damage is increased but your",
		"searching, sneaking and armour are greatly reduced.",
		"Prereq: Combat@15",
	}
	cost = 7
	skills = { Combat = 15 }
}

------------------------------------------------------------
----------------------- Misc talents------------------------
------------------------------------------------------------
new_ability
{
	define_as = "AB_INCARNATE"
	name = "Incarnate"
	desc =
	{
		"Incarnate into a body."
	}
	action = {nil, "Incarnate"}
	cost = 1000
	hidden = true
}
