constant("dialogs", {})

dialogs.GALADRIEL = dialog.new
{
	say = "At last you came!"
	answers =
	{
		{"Do your require my services, Lady Galadriel?", dialog.sub{
			say =	"Lately the shadow is growing over the Mirkwood forest. "..
				"A necromancer has taken the old tower of Dol Guldur as his "..
				"new home. This evil cannot be allowed to spread.\n"..
				"Find the tower deep inside mirkwood and kill the necromancer."
			answers = {
				{ "#GI will not allow this evil to spread!",
					function() acquire_quest(QUEST_NECROMANCER) end
				},
				"Maybe later.",
			}
		}, dialog.on_quest_status(QUEST_NECROMANCER, QUEST_STATUS_UNTAKEN) },
		{"The Necromancer of Dol Guldur was in fact Sauron in disguise, as we feared.", dialog.sub{
			say =	"So it was Sauron that lurked in Dol Guldur...\n"..
				"The Enemy is growing in power, But his power "..
				"lies in the One Ring, our only hope is that you find it "..
				"and destroy it. I know it will tempt you, but *NEVER* use it "..
				"or it will corrupt you forever."
			answers = {
				{ "#GThen the ring must be found! I will keep both eyes open for it.",
					function() change_quest_status(QUEST_NECROMANCER, QUEST_STATUS_FINISHED) acquire_quest(QUEST_ONE_RING) end
				},
				"Maybe later.",
			}
		}, dialog.on_quest_status(QUEST_NECROMANCER, QUEST_STATUS_COMPLETED) },
		{"I have found the One Ring. I can sense the evilness of it, trying to lure me into wielding it.", dialog.sub{
			say =	"So there is still hope for Middle-earth...\n"..
				"You must hurry to the summit of Mount Doom and cast the ring into the great fire "..
				"this is the only way to destroy it."
			answers = { "#GI will.", }
		}, function()
			for i = 1, flag_max_key(player.inventory[INVEN_INVEN]) do if player.inventory[INVEN_INVEN][i] and player.inventory[INVEN_INVEN][i].artifact_id == ART_ONE_RING then return true end end
		end
		},
		{"The One Ring is no more, I cast the ring into the fiery core of Mount Doom where it slowly melted away.", dialog.sub{
			say =	"At last we may triumph over Sauron! The light of the Valar is shining on you my friend.\n"..
				"Now the last, and most dangerous, task awaits you."..
				"You must venture deep in Barad Dur to find Sauron and banish him from Middle-earth forever!"
			answers = {
				{ "#GI shall not fail!",
					function() change_quest_status(QUEST_ONE_RING, QUEST_STATUS_FINISHED) end
				}
			}
		}, dialog.on_quest_status(QUEST_ONE_RING, QUEST_STATUS_COMPLETED) },
		"I must go, sorry!"
	}
}

dialogs.BREE_MAYOR = dialog.new
{
	say = "Hail to you adventurer!"
	answers =
	{
		{"What can I do to be of service?", dialog.sub{
			say =	"There seems to be some disturbing activity in the abandoned house just south of here. Could you please go in and investigate?"
			answers = {
				{ "#GI will at once!.",
					function() acquire_quest(QUEST_THIEVES, QUEST_STATUS_TAKEN) end
				},
				"No, sorry, I'm quite busy currently...",
			}
		}, dialog.on_quest_status(QUEST_THIEVES, QUEST_STATUS_UNTAKEN) },
		"I must go, sorry!"
	}
}
dialogs.BREE_MAYOR_END_QUEST_THIEVES = dialog.new
{
	say = "Hail to you adventurer! (he speaks from outside the house)"
	answers =
	{
		{"Hi there, I seem to be, well .. stuck, could you help me?", dialog.sub{
			say =	"Yes, we are clearing the rubble as we speak."
			answers = {
				{"Great thanks! But I have alarming news. It seems the head of the thieves guild was an agent of Saruman. "..
				 "But why would Saruman do something like that?", dialog.sub{
				 	say = "I do not know; we must learn that later. But for now I thank you for helping with the thieves. "..
				 	      "You may use this house as your own if you so desire -- you deserve that much."
					answers = {
						{ "#GThanks!.",
							function() change_quest_status(QUEST_THIEVES, QUEST_STATUS_FINISHED) end
						},
					}
				}},
			}
		}},
	}
}

dialogs.ELROND = dialog.new
{
	say = "What may the elfes do for you?"
	answers =
	{
		{"Master Elrond, I have found the shards of Narsil.", dialog.sub{
			say =	"At last some shred of hope in those troubled times. Thanks for your help.\nI may call upon you later my friend, train yourself until then for the tasks I may ask of you should not be that easy, I am afraid to say.."
			answers = {
				{ "#GGood bye master, I shall be ready when you require my help again!",
					function()
						change_quest_status(QUEST_NARSIL, QUEST_STATUS_FINISHED)
						message(color.YELLOW_GREEN, "Elrond touches your forehead. You feel stronger, smarter and wiser!")
						message()
						inc_stat(A_STR)
						inc_stat(A_INT)
						inc_stat(A_WIS)
						inc_stat(A_DEX)
						inc_stat(A_CON)
						inc_stat(A_CHR)
						for j = INVEN_INVEN, INVEN_TOTAL - 1 do
							for i = flag_max_key(player.inventory[j]), 1, -1 do
								if player.inventory[j][i] and (player.inventory[j][i].artifact_id == ART_NARSIL_BLADE or player.inventory[j][i].artifact_id == ART_NARSIL_HILT) then
									item_increase(compute_slot(j, i), -99)
									item_optimize(compute_slot(j, i))
								end
							end
						end
					end
				},
			}
		}, dialog.on_quest_status(QUEST_NARSIL, QUEST_STATUS_COMPLETED) },
		{"While passing by the Gap of Rohan I saw large amounts of smoke and war shouts coming from the north. From Isengard, something not right is going on I fear.", dialog.sub{
			say =	"Ah yes, I had other similar reports of strange activities in the surroundings of Isengard. Please go to Isengard and investigate."
			answers = {
				{ "#GI will at once!",
					function()
						acquire_quest(QUEST_ISENGARD_INVESTIGATE)
					end
				},
			}
		}, function() return quest_data(QUEST_NARSIL).isengard_seen and quest(QUEST_ISENGARD_INVESTIGATE).status == QUEST_STATUS_UNTAKEN end },
		{"Master Elrond, I observed the surroundings of Isengard as you told me. At first I could not see anything, but after a while I stumbled across a patrol of orcs, bearing a white hand marking on their shields!", dialog.sub{
			say =	"The mark of Saruman, as Gandalf suspected! But please continue your story, I feel there is more to tell."
			answers = {
				{ "Yes indeed, for I did see the patrol, but so did they! I stood no chance against such a group of orcs, I felt my last day had arrived...", dialog.sub{
					say = "Yet you came back, how did you survive my friend?"
					answers =
					{
						{ "Shortly after they spotted me I heard a very loud, deep, voice coming from behind me, but when I looked I saw only trees.\nBut soon I realized that it was indeed the tree that spoke, and that it was moving, towering with incredible speed and strength toward the group of orcs. He made a short work of them!\nWhen it was over he told me he was an ent and that those orcs were indeed coming from Isengard!", dialog.sub{
							say = "An Ent came to your help?! Ahah! you are truly lucky my friend, for the tree-keepers rarely show themselves to ousiders, let alone help them. Again I must thank you for your help, Saruman will have to be delt with, but for now we must prepare. I suggest you rest for a while and then go to the land of Lothlorien to see Lady Galadriel, to the north east of Isengard, once you pass the Gap of Rohan."
							answers =
							{
								{ "#GGood bye master, I shall be ready when you require my help again!",
									function()
										change_quest_status(QUEST_ISENGARD_INVESTIGATE, QUEST_STATUS_FINISHED)
										message(color.YELLOW_GREEN, "Elrond touches your forehead. You feel much better!")
										message()
										inc_stat(A_STR) inc_stat(A_STR)
										inc_stat(A_INT) inc_stat(A_INT)
										inc_stat(A_WIS) inc_stat(A_WIS)
										inc_stat(A_DEX) inc_stat(A_DEX)
										inc_stat(A_CON) inc_stat(A_CON)
										inc_stat(A_CHR) inc_stat(A_CHR)
									end
								},
							}
						}},
					}
				}},
			}
		}, dialog.on_quest_status(QUEST_ISENGARD_INVESTIGATE, QUEST_STATUS_COMPLETED) },
		"I must go, sorry!"
	}
}

dialogs.FANGORN_QUEST_FIRES_OF_ISENGARD = dialog.new
{
	say = "Ahh young one, I nearly mistook your for one of those .. burarum .. those orcs!\nYou should not be here, it is dangerous for someone as short as you are. Isengard power is rising, those burarum, those orcs are coming from there.\nSaruman was once a wise and nice wizard, but it seems his mind is not as pure as I thought. He has a mechanical mind, he burns forests, cuts trees... HHRRRMMM!"
	answers =
	{
		{"What... who are you ?", dialog.sub{
			say =	"Hrmmmmm, I am an ent, isn't it obvious ?"
			answers = {
				{ "No, not really... but thanks anyway, I thought I would lay down my last breath in this battle.", dialog.sub{
					say = "You should leave now, we have trees to attend to."
					answers = {
						{ "Thanks again!",
							function()
								quest(QUEST_ISENGARD_INVESTIGATE).status = QUEST_STATUS_COMPLETED
								dun_level = 0
								change_wild_mode()
								player.py = player.wilderness_y
								player.px = player.wilderness_x
							end
						},
					}
				}},
			}
		}},
	}
}
